package com.sunxung.factoring.entity.project.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 经营异常列表信息
 * </p>
 *
 * @author liutao
 * @since 2023-11-21
 */
public class CExceptionData {

    private static final long serialVersionUID = 1L;

    private Long id;
    /**
     * 列入日期，精确到天，如“2022-01-01”
     */
    private String addDate;

    /**
     * 作出决定机关(列入)
     */
    private String addOffice;

    /**
     * 列入经营异常名录原因
     */
    private String addReason;

    /**
     * 经营异常id
     */
    private Long cExceptionId;

    @JSONField(name = "id")
    private String  idStr;

    /**
     * 经营异常 0 否 1 是
     */
    private Integer exception;

    public Integer getException() {
        return exception;
    }

    public void setException(Integer exception) {
        this.exception = exception;
    }

    public String getIdStr() {
        return idStr;
    }

    public void setIdStr(String idStr) {
        this.idStr = idStr;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAddDate() {
        return addDate;
    }

    public void setAddDate(String addDate) {
        this.addDate = addDate;
    }
    public String getAddOffice() {
        return addOffice;
    }

    public void setAddOffice(String addOffice) {
        this.addOffice = addOffice;
    }
    public String getAddReason() {
        return addReason;
    }

    public void setAddReason(String addReason) {
        this.addReason = addReason;
    }
    public Long getcExceptionId() {
        return cExceptionId;
    }

    public void setcExceptionId(Long cExceptionId) {
        this.cExceptionId = cExceptionId;
    }

    @Override
    public String toString() {
        return "CExceptionData{" +
            "addDate=" + addDate +
            ", addOffice=" + addOffice +
            ", addReason=" + addReason +
            ", cExceptionId=" + cExceptionId +
        "}";
    }
}
